## RNAstructure Command Line Help
phmm

- ### Contents

- ### Index

phmm uses a pairwise hidden markov model to predict the alignment between two RNA sequences. The default behavior is to produce a matrix of alignment probabilities. It can also produce maximum likelihood alignment calculated using the Viterbi algorithm.

### USAGE: phmm <sequence file 1> <sequence file 2> <output file> [options]

### Required parameters:

<sequence file 1> | The name of a sequence file containing input data.
<sequence file 2> | The name of a sequence file containing input data.
<output file> | A plain text file to which the results will be written.

### Options that do not require added values:

-l, -L, --logprobability | Print probability matrix as base 10 log probabilities.
-m, -M, --maxlikelihood | Print a maximum likelihood alignment.
-h, -H, --help | Display the usage details message.

### Output Format:

The default output is a matrix of pair probabilities. Using the -l, -L, --logprobability option changes this to the logarithm, base 10, of the pair probabilities. The matrix is a tab-delimited, plain text file where rows are indices for sequence 1 and columns are indices for sequence 2.

The -m, -M, --maxlikelihood option changes the output a plain text alignment of the two sequences.

### References

1. Reuter, J.S. and Mathews, D.H.
   "RNAstructure: software for RNA secondary structure prediction and analysis."
   BMC Bioinformatics, 11:129. (2010).
2. Harmanci, A.O., Sharma, G. and Mathews, D.H.
   "Efficient Pairwise RNA Structure Prediction Using Probabilistic Alignment Constraints in Dynalign."
   BMC Bioinformatics, 8:130. (2007).